<!DOCTYPE html>
<html lang="en" xmlns="http://www.w3.org/1999/xhtml" xmlns:th="https://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title th:fragment="title(pageName)" th:text="${'SuperDuperDrive - ' + pageName}">SuperDuperDrive</title>
    <link th:fragment="css" rel="stylesheet" type="text/css" media="all" th:href="@{/css/bootstrap.min.css}"
          href="../static/css/bootstrap.min.css">
</head>
<body>
<div id="logoutDiv" th:fragment="logout">
    <form action="#" method="POST" th:action="@{/logout}">
        <button type="submit" class="btn btn-secondary float-right" id="logoutButton">Logout</button>
    </form>
</div>
<div id="contentDiv" style="clear: right;">
    <nav style="clear: right;" th:fragment="navigation(activeTab)">
        <div class="nav nav-tabs" id="nav-tab" role="tablist">
            <a class="nav-item nav-link active"
               th:class="${activeTab} == 'home' ? 'nav-item nav-link active' : 'nav-item nav-link'"
               id="nav-home-tab" data-toggle="tab"
               th:href="@{~/home}" href="home.html" role="tab"
               aria-controls="nav-home"
               th:aria-selected="${activeTab} == 'home' ? 'true' : 'false'"
               aria-selected="true">Home</a>
            <a class="nav-item nav-link"
               th:class="${activeTab} == 'files' ? 'nav-item nav-link active' : 'nav-item nav-link'"
               id="nav-files-tab" data-toggle="tab"
               th:href="@{~/files}" href="files.html" role="tab"
               aria-controls="nav-files"
               th:aria-selected="${activeTab} == 'files' ? 'true' : 'false'"
               aria-selected="false">Files</a>
            <a class="nav-item nav-link"
               th:class="${activeTab} == 'notes' ? 'nav-item nav-link active' : 'nav-item nav-link'"
               id="nav-notes-tab" data-toggle="tab"
               th:href="@{~/notes}" href="notes.html" role="tab"
               aria-controls="nav-notes"
               th:aria-selected="${activeTab} == 'notes' ? 'true' : 'false'"
               aria-selected="false">Notes</a>
            <a class="nav-item nav-link"
               th:class="${activeTab} == 'credentials' ? 'nav-item nav-link active' : 'nav-item nav-link'"
               id="nav-credentials-tab" data-toggle="tab"
               th:href="@{~/credentials}" href="credentials.html" role="tab"
               aria-controls="nav-credentials"
               th:aria-selected="${activeTab} == 'credentials' ? 'true' : 'false'"
               aria-selected="false">Credentials</a>
        </div>
    </nav>
</div>
<div th:fragment="scripts" hidden="true">
<script th:src="@{/js/jquery.min.js}"></script>
<!--script th:src="@{/js/popper.min.js}"></scrip-->
<script th:src="@{/js/util.js}"></script>
<script th:src="@{/js/alert.js}"></script>
<script type="text/javascript">
    class Modal {
        constructor(modalId) {
            this.modal = document.getElementById(modalId);
            this.buttonCancel = document.getElementById('cancel-button');
            this.buttonClose = document.getElementById('close-modal-button');

            //hide the modal
            this.buttonClose.addEventListener('click', (e) => {
                this.close();
            });

            this.buttonCancel.addEventListener('click', (e) => {
                this.close();
            });
        }

        close() {
            this.modal.style.display = "none";
            this.modal.className = "modal fade";
        }

         show() {
            this.modal.style.display = "block";
            this.modal.style.paddingRight = "17px";
            this.modal.className = "modal fade show";
        }

    }
</script>
</div>
</body>
</html>